#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"

%define	pdir	Math
%define	pnam	Prime-XS
Summary:	Math::Prime::XS - Calculate/detect prime numbers with deterministic tests
Name:		perl-Math-Prime-XS
Version:	0.26_01
Release:	13
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b93a438fd10640b47910be8f9c3403ba
URL:		http://search.cpan.org/dist/Math-Prime-XS/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-boolean
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Prime::XS calculates/detects prime numbers by either applying
Modulo operator division, the Sieve of Eratosthenes, Trial division or
a Summing calculation.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
	#config="optimize='%{rpmcflags}'" \
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes INSTALL README
%dir %{perl_vendorarch}/Math/Prime
%{perl_vendorarch}/Math/Prime/XS.pm
%dir %{perl_vendorarch}/auto/Math/Prime
%dir %{perl_vendorarch}/auto/Math/Prime/XS
%attr(755,root,root) %{perl_vendorarch}/auto/Math/Prime/XS/*.so
%{_mandir}/man3/*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-Prime-XS.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 767e884
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 8fc668e
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> a200305
- rebuild with perl 5.34.0

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> d99599b
- rebuild with perl 5.34.0

* Sat May 08 2021 Jan Rękorajski <baggins@pld-linux.org> 3b5c010
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 9a60f5a
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> 557541e
- rebuild with perl 5.30.0
- release 8 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 499b0bb
- rebuild with perl 5.28.0
- release 7 (by relup.sh)

* Fri Jun 23 2017 Jan Rękorajski <baggins@pld-linux.org> b7216c7
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 411900d
- perl req/prov fix
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 1d8a594
- rebuild with perl 5.26
- release 4 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 4f51890
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 443a028
- release 2 (by relup.sh)

* Wed Jun 10 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e403c5
- up to 0.26_01

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> b058f96
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2c4ed98
- removed zero-sized .bs file

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> ed39cbb
- up to 0.26

* Wed Aug 26 2009 amateja <amateja@pld-linux.org> 8e72d15
- updated to 0.20

* Fri Mar 21 2008 Maciej Pijanka <agaran@pld-linux.org> 1c4aba9
- initial, build/works here, rel 1

